Page MenuHomePhabricator

Write and send supplementary release announcement for extensions and skins with security patches (MediaWiki 1.31.6/1.32.6/1.33.2)
Closed, ResolvedPublic1 Estimate Story Points

Description

See previous work: T232113.

Maniphest IDExtension or SkinCVE IDREL1_31REL1_32REL1_33REL1_34master
T234862CheckUserCVE-2019-18611YesYesYesYesYes
T104807AbuseFilterCVE-2019-18612YesYesYesYesYes
T237887AbuseFilterCVE-2019-18987YesYesYesYesYes
T239209VisualEditorCVE-2019-19708NoNoYesYesYes
T240487MinervaNeueCVE-2019-19910NoNoNoNoYes
T240338LDAPAuthentication2NoneYesN/AN/AN/AYes

Notes:

  1. the VisualEditor bug was only backported to REL1_34 and REL1_33. See additional context: T239209#5744008.
  2. the MinervaNeue skin bug only made it to master and the relevant deployment branch. It should most likely be backported to 1.34 when the commits have caught up. The CVE has also been requested as of 2019-12-19 17:30 utc and will be updated here when the ID (CVE-2019-19910) has been received by the Security-Team.
  3. LDAPAuthentication2 is not a deployed or bundled MediaWiki extension. There is also some lingering discussion about what release branches this extension officially supports, see: T240338#5754419.

Related Objects

Event Timeline

sbassett created this task.Oct 8 2019, 6:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 8 2019, 6:27 PM
sbassett claimed this task.Oct 8 2019, 6:28 PM
sbassett triaged this task as Low priority.
sbassett set the point value for this task to 1.
sbassett added a project: MediaWiki-Releasing.
sbassett edited subscribers, added: Reedy; removed: Aklapper.
sbassett merged a task: Restricted Task.Oct 10 2019, 11:03 PM
sbassett added a project: user-sbassett.
sbassett added a subscriber: Aklapper.
Reedy renamed this task from Write and send supplementary release announcement for extensions with security patches (MediaWiki 1.31.5/1.32.5/1.33.2) to Write and send supplementary release announcement for extensions with security patches (MediaWiki 1.31.6/1.32.6/1.33.2).Oct 12 2019, 12:02 AM
sbassett updated the task description. (Show Details)Oct 18 2019, 6:36 PM
sbassett updated the task description. (Show Details)Oct 28 2019, 9:51 PM
sbassett updated the task description. (Show Details)Oct 29 2019, 3:50 PM
sbassett updated the task description. (Show Details)Oct 31 2019, 4:04 PM
sbassett updated the task description. (Show Details)Nov 12 2019, 10:42 PM
sbassett updated the task description. (Show Details)Nov 15 2019, 4:14 PM
sbassett updated the task description. (Show Details)Dec 11 2019, 3:01 PM
sbassett updated the task description. (Show Details)Dec 11 2019, 3:04 PM
sbassett updated the task description. (Show Details)Dec 13 2019, 9:03 PM
sbassett updated the task description. (Show Details)
sbassett updated the task description. (Show Details)Dec 16 2019, 4:17 PM
sbassett updated the task description. (Show Details)Dec 16 2019, 10:36 PM
sbassett updated the task description. (Show Details)
sbassett updated the task description. (Show Details)Dec 16 2019, 10:40 PM
sbassett updated the task description. (Show Details)Dec 17 2019, 11:11 PM
sbassett updated the task description. (Show Details)
sbassett moved this task from Backlog to In Progress on the user-sbassett board.Dec 17 2019, 11:16 PM
Osnard updated the task description. (Show Details)Dec 19 2019, 2:01 PM
sbassett updated the task description. (Show Details)Dec 19 2019, 5:36 PM
sbassett updated the task description. (Show Details)
sbassett updated the task description. (Show Details)Dec 19 2019, 5:38 PM
sbassett updated the task description. (Show Details)
sbassett added a comment.EditedDec 19 2019, 5:57 PM

{{draft}}

Subject: MediaWiki Extensions and Skins Security Release Supplement

Greetings-

With the security/maintenance release of MediaWiki 1.31.6/1.32.6/1.33.2 [0], we would also like to provide this supplementary announcement of MediaWiki extensions and skins with now-public Phabricator tasks, security patches and backports [1]:

== CheckUser ==
+ (T234862, CVE-2019-18611) - Do not show oversighted edit summaries in CheckUser API
< https://gerrit.wikimedia.org/r/q/Ie0aa0df2b3f03d8b910733f1b5e600a0dc978765 >

== AbuseFilter ==
+ (T104807, CVE-2019-18612) - Older hidden versions of a currently-public AbuseFilter are exposed via diffs
< https://gerrit.wikimedia.org/r/q/Ie23e8234ae550273bf3f6f9c5ac45b7fc54eec2a >

+ (T237887, CVE-2019-18987) - Old public versions of private filters are publicly viewable
< https://gerrit.wikimedia.org/r/q/Ic12790bd33982473f77551bde9599ed083a3e1f1 >

== VisualEditor ==
+ (T239209, CVE-2019-19708) - XSS in Visual Editor via Copy&Paste
< https://gerrit.wikimedia.org/r/q/I1f99458fd2c4f6b2460dfe7a93b330ddee4400b6 >

== MinervaNeue skin ==
+ (T240487, CVE requested) - XSS in MinervaNeue skin
< https://gerrit.wikimedia.org/r/q/Ida471291f1698387a26736931ab17e6899e05b51 >

== LDAPAuthentication2 ==
+ (T240338, No CVE requested) - LDAPAuthentication2 allows login with invalid password
< https://gerrit.wikimedia.org/r/q/I7b125ab468ebc914b8a1c67ed0c03e3c2a20c6cd >

The Wikimedia Security Team recommends updating these extensions and skins to the current master branch or relevant, supported release branch [2] as soon as possible. Some of the referenced Phabricator tasks above _may_ still be private. Unfortunately, when security issues are reported, sometimes sensitive information is exposed and since Phabricator is historical, we cannot make these tasks public without exposing this sensitive information. If you have any additional questions or concerns regarding this update, please feel free to contact security@wikimedia.org or file a security task within Phabricator [3].

[0] https://lists.wikimedia.org/pipermail/wikitech-l/2019-December/092886.html
[1] https://phabricator.wikimedia.org/T234983
[2] https://www.mediawiki.org/wiki/Version_lifecycle
[3] https://www.mediawiki.org/wiki/Reporting_security_bugs

sbassett renamed this task from Write and send supplementary release announcement for extensions with security patches (MediaWiki 1.31.6/1.32.6/1.33.2) to Write and send supplementary release announcement for extensions and skins with security patches (MediaWiki 1.31.6/1.32.6/1.33.2).Dec 19 2019, 5:57 PM
sbassett updated the task description. (Show Details)
sbassett updated the task description. (Show Details)Dec 19 2019, 6:13 PM
sbassett changed the visibility from "Custom Policy" to "Public (No Login Required)".Dec 19 2019, 6:21 PM
Restricted Application added a subscriber: Masumrezarock100. · View Herald TranscriptDec 19 2019, 6:21 PM
sbassett updated the task description. (Show Details)Dec 19 2019, 6:24 PM
sbassett updated the task description. (Show Details)
sbassett updated the task description. (Show Details)Dec 19 2019, 6:41 PM